Get all rentable items
https://api.propexo.com/v1/rentable-items/Get all rentable items. This endpoint is an inventory view. For assignment history including lease linkage, start/end dates, and status, use GET /v1/rentable-item-assignments.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the rentable item
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
Deprecated: Use associated_applicant_ids instead.
Deprecated: Use associated_lead_ids instead.
Deprecated: Use associated_resident_ids instead.
The external ID of the type from the integration vendor
The external ID of the charge code from the integration vendor
The amount of the rentable item, in cents
100000Description of the rentable item
The name of the rentable item
Whether the rentable item is available
The date the rentable item is reserved until
The type associated with the rentable item
True when more than 20 applicant associations exist and associated_applicant_ids was capped to the 20 most recently seen.
True when more than 20 lead associations exist and associated_lead_ids was capped to the 20 most recently seen.
True when more than 20 resident associations exist and associated_resident_ids was capped to the 20 most recently seen.
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
Deprecated: Use associated_applicant_ids instead.
Deprecated: Use associated_lead_ids instead.
Deprecated: Use associated_resident_ids instead.
The Propexo unique identifier for the charge code
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/rentable-items/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_type_id": "string",
"x_charge_code_id": "string",
"amount_in_cents": 100000,
"description": "string",
"name": "string",
"is_available": true,
"reserved_until_date": "string",
"type": "string",
"associated_applicant_ids": [
"string"
],
"associated_applicant_ids_truncated": true,
"associated_lead_ids": [
"string"
],
"associated_lead_ids_truncated": true,
"associated_resident_ids": [
"string"
],
"associated_resident_ids_truncated": true,
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"charge_code_id": "string"
}
]
}